Skip to main content
GET
Export cashflow statement as CSV

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to export the cashflow statement for

Query Parameters

start_date
string<date-time>
required

Start date for the cashflow statement (ISO 8601 format)

end_date
string<date-time>
required

End date for the cashflow statement (ISO 8601 format)

money_format
enum<string>

Format for monetary values in the export

Available options:
DOLLAR_STRING,
CENTS_INTEGER
reporting_basis
enum<string>

Accounting basis for the report

Available options:
ACCRUAL,
CASH

Response

Pre-signed URL for downloading the CSV export

A pre-signed URL to download a document

type
string

Resource type. Value will be 'S3_Presigned_Url'.

Example:

"S3_Presigned_Url"

presignedUrl
string

Pre-signed URL to download a document

Example:

"https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n"

fileType
string

The file type of the document

Example:

"csv"